OpenTTD: Data Fields

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - i -

- i : GraphEdgeIterator , LanguagePackGlyphSearcher
- icon_width : CompanyLeagueWindow
- IConsoleLine() : IConsoleLine
- id : NamePart , ChunkHandler , OptionData , ThreadObject_Win32 , ContentInfo , AllowedSubtags
- IDENT : LanguagePackHeader
- ident : LanguagePackHeader , GRFConfig
- IDLE_TIMEOUT : ClientNetworkContentSocketHandler
- IL_MULTIPLIER : IndustryViewWindow
- IL_NONE : IndustryViewWindow
- IL_RATE1 : IndustryViewWindow
- IL_RATE2 : IndustryViewWindow
- image : ParentSpriteToDraw
- image_1 : DrawIndustryAnimationStruct
- image_2 : DrawIndustryAnimationStruct
- image_3 : DrawIndustryAnimationStruct
- image_override : DisasterVehicle
- improved_load : OrderSettings
- IN_AUTOREFIT : LinkRefresher
- in_use : Livery
- in_window : CursorVars
- inaugurated_year : CompanyProperties , NetworkCompanyInfo
- IncIndustryTypeCount() : Industry
- Include() : CBinaryHeapT< T > , SmallVector< T, S >
- income : CompanyEconomyEntry , NetworkCompanyInfo
- incoming_cargo_waiting : Industry
- incoming_queue : NetworkGameSocketHandler
- IncrementImplicitOrderIndex() : Vehicle
- IncrementRealOrderIndex() : Vehicle
- IncrementSize() : CargoDataEntry
- IncTypeCount() : Object
- ind_cargo : IndustryCargoesWindow
- ind_scope : IndustryTileResolverObject
- ind_textsize : IndustryCargoesWindow
- ind_type : CargoesField
- indents : VehicleGroupWindow
- index : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool > , BuildIndustryWindow , LinkGraph::NodeWrapper< Tnode, Tedge > , SettingEntry , LangString , VehicleListIdentifier , NWidgetCore , NWidgetStacked , NWidgetMatrix , NWidgetPartWidget
- Index() : CargoSpec , ObjectSpec
- indtile_scope : IndustryTileResolverObject
- indtype : Station
- indtypes : StationNameInformation
- industries_near : RectAndIndustryVector , Station
- industries_scope : IndustriesResolverObject
- IndustriesResolverObject() : IndustriesResolverObject
- IndustriesScopeResolver() : IndustriesScopeResolver
- industry : CargoesField , IndustriesScopeResolver , IndustryTileScopeResolver
- industry_daily_change_counter : Economy
- industry_daily_increment : Economy
- industry_density : DifficultySettings
- INDUSTRY_LINE_COLOUR : CargoesField
- INDUSTRY_MIN_NUMBER_OF_COLUMNS : SmallMapWindow
- industry_platform : ConstructionSettings
- industry_width : CargoesField
- IndustryNameSorter() : IndustryDirectoryWindow
- IndustryProductionSorter() : IndustryDirectoryWindow
- IndustryTileResolverObject() : IndustryTileResolverObject
- IndustryTileScopeResolver() : IndustryTileScopeResolver
- IndustryTransportedCargoSorter() : IndustryDirectoryWindow
- IndustryTypeSorter() : IndustryDirectoryWindow
- inf : NWidgetNewGRFDisplay
- infl_amount : Economy
- infl_amount_pr : Economy
- inflation : EconomySettings
- inflation_payment : Economy
- inflation_prices : Economy
- info : Game , NetworkGameSocketHandler , NetworkGameList , GRFConfig , ScriptConfig
- info_dummy : AIScannerInfo
- info_height : IndustryViewWindow , BuildObjectWindow
- info_list : AIListWindow , ScriptScanner
- info_single_list : ScriptScanner
- info_view : VehicleScopeResolver
- InfoLine : IndustryViewWindow
- information_width : RefitWindow
- infos : ClientNetworkContentSocketHandler
- infrastructure : Company
- infrastructure_maintenance : EconomySettings
- ini_key : WindowDesc
- ini_set : BaseMedia< Tbase_set >
- IniFile() : IniFile
- IniGroup() : IniGroup
- IniItem() : IniItem
- IniLoadFile() : IniLoadFile
- Init() : LinkGraph::BaseNode , LinkGraph::BaseEdge , LinkGraph , LinkGraphJob::EdgeAnnotation , LinkGraphJob::NodeAnnotation , LinkGraphJob , ByteBlob , AyStar , BinaryHeap , Hash , BaseSettingEntry , SettingEntry , SettingsContainer , SettingsPage
- init : TemporaryStorageArray< TYPE, SIZE >
- init_key : TemporaryStorageArray< TYPE, SIZE >
- init_load : SaveLoadFormat
- init_proc : Disaster
- init_write : SaveLoadFormat
- InitEmpty() : ByteBlob
- initial_city_size : EconomySettings
- initial_interest : DifficultySettings
- initial_random_bits : HouseScopeResolver
- InitialiseCrashLog() : CrashLog
- Initialize() : AI , AIInstance , Game , GameInstance , OrderList , ScriptInstance , ScriptScanner , Squirrel
- InitializeData() : Window
- InitializeLayout() : Town
- InitializePositionSize() : Window
- InitializeUnicodeGlyphMap() : SpriteFontCache , FreeTypeFontCache , FontCache
- InitializeViewport() : NWidgetViewport
- InitNested() : Window
- input_cargo_multiplier : IndustrySpec
- Insert() : MultiMap< Tkey, Tvalue, Tcompare > , SmallMap< T, U, S >
- InsertChar() : Textbuf
- InsertClipboard() : Textbuf
- InsertClosedNode() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- InsertDefaults() : NewGRFClass< Tspec, Tid, Tmax >
- InsertEvent() : ScriptInstance
- InsertOpenNode() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- InsertOrderAt() : OrderList
- InsertOrRetrieve() : CargoDataEntry
- InsertString() : Textbuf
- InsertTextString() : IConsoleWindow , Window
- instance : Game , LinkGraphSchedule , ScriptInstance
- instance_name : ScriptInfo
- instant_close : DropdownWindow
- INTER_COLUMN_SPACING : NWidgetNewGRFDisplay
- INTER_LIST_SPACING : NWidgetNewGRFDisplay
- interest_rate : Economy
- internal_id : EngineIDMapping
- Intersects() : OrthogonalTileArea
- interval : SettingDescBase
- intro_date : Engine
- introduces_railtypes : RailtypeInfo
- introduction_date : ObjectSpec , RailtypeInfo
- introduction_required_railtypes : RailtypeInfo
- INV_CARGO : StationViewWindow
- INV_FLOWS : StationViewWindow
- invalid : MakeEnumPropsT< Tenum_t, Tstorage_t, Tbegin, Tend, Tinvalid, Tnum_bits > , TinyEnumT< Tenum_t >
- INVALID : ContentInfo
- invalid_ID : OverrideManagerBase
- invalid_path : Path
- Invalidate() : FlowStat
- InvalidateAllFrom() : CargoPacket
- InvalidateCache() : CargoList< Tinst, Tcont > , VehicleCargoList
- InvalidateData() : Window
- InvalidateDimensionCache() : NWidgetLeaf
- InvalidateFileList() : ConsoleFileList
- InvalidateNewGRFCache() : Vehicle
- InvalidateNewGRFCacheOfChain() : Vehicle
- Invalidation : StationViewWindow
- is_ai : CompanyProperties
- is_dead : ScriptInstance
- is_developer_only : GameInfo
- is_female : SelectCompanyManagerFaceWindow
- is_freight : CargoSpec
- is_full_loading : LinkRefresher
- is_moust_male : SelectCompanyManagerFaceWindow
- is_paused : ScriptInstance
- is_random : ScriptConfig
- is_save_data_on_stack : ScriptInstance
- is_started : ScriptInstance
- is_vertical : Scrollbar
- IsActive() : CocoaSubdriver
- IsAnyStationTileReserved() : CYapfCostRailT< Types >
- IsArticulatedPart() : Vehicle
- IsAutoRefit() : Order
- IsAvailable() : AirportSpec , ObjectSpec
- IsAwarded() : Subsidy
- IsBetter() : DistanceAnnotation , CapacityAnnotation
- IsBus() : RoadVehicle
- IsButton() : NWidgetToolbarContainer
- IsChainInDepot() : GroundVehicle< T, Type > , Vehicle
- IsCompletelyTimetabled() : Order
- IsCompleteTimetable() : OrderList
- IsConnected() : NetworkTCPSocketHandler , NetworkHTTPSocketHandler , ClientNetworkGameSocketHandler
- isConnecting : ClientNetworkContentSocketHandler
- IsCritical() : ErrmsgWindow
- IsDead() : AIDebugWindow , ScriptInstance
- IsDescSortOrder() : GUIList< T, F >
- IsDeveloperOnly() : GameInfo , ScriptInfo
- IsDisabled() : NWidgetCore
- IsDraggingDiagonal() : TileHighlightData
- IsDriveThroughRoadStopContinuation() : RoadStop
- IsEditable() : AIConfigWindow , SettingDesc
- IsEmpty() : FixedSizeArray< T, C > , SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size > , SmallArray< T, B, N > , CBinaryHeapT< T > , ByteBlob , SmallSet< Tdir, items > , StringFilter , NWidgetContainer
- IsEnabled() : Engine
- IsEngine() : GroundVehicle< T, Type >
- IsEngineCountable() : Vehicle
- IsEntranceBusy() : RoadStop
- IsEverAvailable() : ObjectSpec
- IsExpected() : SpecializedStation< T, Tis_waypoint >
- IsFamily() : NetworkAddress
- IsFiltered() : BaseSettingEntry
- IsFilterEnabled() : GUIList< T, F >
- IsFinished() : LinkGraphJob
- IsFirstPageSelected() : StoryBookWindow
- IsFreeBay() : RoadStop
- IsFreeWagon() : GroundVehicle< T, Type >
- IsFrontEngine() : Vehicle
- IsFull() : CBinaryHeapT< T > , SmallSet< Tdir, items > , FixedSizeArray< T, C > , SmallArray< T, B, N >
- IsFullscreen() : CocoaSubdriver
- IsGotoOrder() : Order
- IsGroundVehicle() : Vehicle , Engine
- IsHidden() : Engine
- IsHighlighted() : NWidgetCore
- IsHumanID() : Company
- IsIn() : SmallSet< Tdir, items >
- IsInDepot() : Train , Ship , RoadVehicle , Vehicle , Aircraft
- IsInNetmask() : NetworkAddress
- IsInspectable() : NIHelper
- IsInUse() : BaseStation
- IsLastPageSelected() : StoryBookWindow
- IsLinkVisible() : LinkGraphOverlay
- IsLowered() : NWidgetCore
- IsMultiheaded() : GroundVehicle< T, Type >
- IsNewGRFInspectable() : IndustryViewWindow , LandInfoWindow , Window , VehicleViewWindow
- IsNormalAircraft() : Aircraft
- IsNull() : CCountedPtr< Tcls_ >
- isocode : LanguagePackHeader
- IsOfType() : Depot , Waypoint
- IsOrderListShared() : Vehicle
- IsParentSprite() : DrawTileSeqStruct
- IsPaused() : AI , Game , ScriptInstance
- IsPointVisible() : LinkGraphOverlay
- IsPrimaryVehicle() : RoadVehicle , Aircraft , Vehicle , Train , Ship
- IsProcessingIndustry() : IndustrySpec
- IsRandom() : ScriptConfig
- IsRawIndustry() : IndustrySpec
- IsRearDualheaded() : GroundVehicle< T, Type >
- IsRefit() : Order
- IsResolved() : NetworkAddress
- IsSelected() : ContentInfo
- IsShaded() : Window
- IsShared() : OrderList
- IsSingleTile() : Waypoint
- IsSleeping() : ScriptInstance
- IsSongPlaying() : MusicDriver_Win32 , MusicDriver_Allegro , MusicDriver_QtMidi , MusicDriver_ExtMidi , MusicDriver_Null , MusicDriver_Cocoa , MusicDriver_OS2 , MusicDriver_LibTimidity , MusicDriver , MusicDriver_DMusic , MusicDriver_BeMidi
- IsSortable() : GUIList< T, F >
- IsStoppedInDepot() : Vehicle
- IsSuspended() : Squirrel
- IsTerminator() : DrawTileSeqStruct
- IsTravelTimetabled() : Order
- IsType() : Order
- IsUIAvailable() : NewGRFClass< Tspec, Tid, Tmax >
- IsValid() : CargoSpec , ContentInfo , Backup< T > , LanguagePackHeader , VehicleSpriteSeq
- IsValidAiID() : Company
- IsValidDebugCompany() : AIDebugWindow
- IsValidHumanID() : Company
- IsValidID() : SpecializedStation< T, Tis_waypoint > , Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero > , Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool > , SpecializedVehicle< T, Type >
- IsValidSpriteSet() : GrfProcessingState
- IsVehicleInSharedOrdersList() : OrderList
- IsVehicleServiceIntervalEnabled() : VehicleDetailsWindow
- IsVertical() : Scrollbar
- IsVisible() : SettingsContainer , Scrollbar , SettingsPage , BaseSettingEntry
- IsVisibleByRestrictionMode() : SettingEntry
- IsWagon() : GroundVehicle< T, Type >
- IsWaitTimetabled() : Order
- IsWidgetDisabled() : Window
- IsWidgetFocused() : Window
- IsWidgetGloballyFocused() : Window
- IsWidgetHighlighted() : Window
- IsWidgetLowered() : Window
- IsWidgetVisible() : NWidgetServerListHeader
- it : FlowEdgeIterator
- item : IniGroup
- ItemAt() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- items : SmallVector< T, S > , ByteBlob::BlobHeader , Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >
- Items() : SmallSet< Tdir, items >
- items : FixedSizeArray< T, C >::ArrayHeader , CBinaryHeapT< T >
- ITER_CHARACTER : StringIterator
- ITER_WORD : StringIterator
- Iterator : CargoList< Tinst, Tcont >
- IterType : StringIterator